org.apache.struts2.rest

## Class RestActionProxyFactory

- java.lang.Object
- - com.opensymphony.xwork2.DefaultActionProxyFactory
  - - org.apache.struts2.rest.RestActionProxyFactory

- All Implemented Interfaces:
    ActionProxyFactory

      public class RestActionProxyFactory
      extends DefaultActionProxyFactory

  Factory that creates the `RestActionInvocation`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `namespace`

    - ### Fields inherited from class com.opensymphony.xwork2.DefaultActionProxyFactory

      `container`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RestActionProxyFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ActionProxy` | `createActionProxy(String namespace, String actionName, String methodName, Map<String,Object> extraContext, boolean executeResult, boolean cleanupContext)`
    `void` | `setNamespace(String namespace)`

    - ### Methods inherited from class com.opensymphony.xwork2.DefaultActionProxyFactory

      `createActionInvocation, createActionProxy, createActionProxy, createActionProxy, createActionProxy, createActionProxy, setContainer, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### namespace

          protected String namespace

  - ### Constructor Detail

    - #### RestActionProxyFactory

          public RestActionProxyFactory()

  - ### Method Detail

    - #### setNamespace

          public void setNamespace(String namespace)

    - #### createActionProxy

          public ActionProxy createActionProxy(String namespace,
                                               String actionName,
                                               String methodName,
                                               Map<String,Object> extraContext,
                                               boolean executeResult,
                                               boolean cleanupContext)

      Specified by:
        `createActionProxy` in interface `ActionProxyFactory`
      Overrides:
        `createActionProxy` in class `DefaultActionProxyFactory`

Copyright © 2000–2023 Apache Software Foundation. All rights reserved.